-- -------------------------------------------------------------------------- --
-- CharScanner GearStats Set Data                                             --
-- -------------------------------------------------------------------------- --
--                                                                            --
-- NOTE: A Setbonus with a special effect is labeled as EFFECT.               --
--                                                                            --
-- -------------------------------------------------------------------------- --

local EFFECT       = 0

local STRENGTH     = 1  -- "ITEM_MOD_STRENGTH_SHORT"
local AGILITY      = 2  -- "ITEM_MOD_AGILITY_SHORT"
local STAMINA      = 3  -- "ITEM_MOD_STAMINA_SHORT"
local INTELLECT    = 4  -- "ITEM_MOD_INTELLECT_SHORT"
local SPIRIT       = 5  -- "ITEM_MOD_SPIRIT_SHORT"

local ATTACKPOWER  = 6  -- "ITEM_MOD_ATTACK_POWER_SHORT"
local BLOCK        = 7  -- "ITEM_MOD_BLOCK_RATING_SHORT"
local DODGE        = 8  -- "ITEM_MOD_DODGE_RATING_SHORT"
local PARRY        = 9  -- "ITEM_MOD_PARRY_RATING_SHORT"
local HIT          = 10 -- "ITEM_MOD_HIT_RATING_SHORT"
local CRIT         = 11 -- "ITEM_MOD_CRIT_RATING_SHORT"
local HASTE        = 12 -- "ITEM_MOD_HASTE_RATING_SHORT"
local EXPERTISE    = 13 -- "ITEM_MOD_EXPERTISE_RATING_SHORT"
local MASTERY      = 14 -- "ITEM_MOD_MASTERY_RATING_SHORT"
local SPELLPOWER   = 15 -- "ITEM_MOD_SPELL_POWER_SHORT"

local PENETRATION  = 16 -- "ITEM_MOD_SPELL_PENETRATION_SHORT"
local RESILIENCE   = 17 -- "ITEM_MOD_RESILIENCE_RATING_SHORT"

local ARMOR        = 18 -- "RESISTANCE0_NAME" 
local HOLY_RES     = 19 -- "RESISTANCE1_NAME" - ITEM_MOD_HOLY_RESISTANCE_SHORT?  -> I have not seen this ingame
local FIRE_RES     = 20 -- "RESISTANCE2_NAME" - ITEM_MOD_FIRE_RESISTANCE_SHORT   -> available ingame (via GetItemStats), but there is no global in GlobalStrings.lua
local NATURE_RES   = 21 -- "RESISTANCE3_NAME" - ITEM_MOD_NATURE_RESISTANCE_SHORT -> available ingame (via GetItemStats), but there is no global in GlobalStrings.lua
local FROST_RES    = 22 -- "RESISTANCE4_NAME" - ITEM_MOD_FROST_RESISTANCE_SHORT  -> available ingame (via GetItemStats), but there is no global in GlobalStrings.lua
local SHADOW_RES   = 23 -- "RESISTANCE5_NAME" - ITEM_MOD_SHADOW_RESISTANCE_SHORT -> available ingame (via GetItemStats), but there is no global in GlobalStrings.lua
local ARCANE_RES   = 24 -- "RESISTANCE6_NAME" - ITEM_MOD_ARCANE_RESISTANCE_SHORT -> available ingame (via GetItemStats), but there is no global in GlobalStrings.lua

local HEALTH       = 25 -- "ITEM_MOD_HEALTH_SHORT"
local MANA         = 26 -- "ITEM_MOD_MANA_SHORT"

local HASTE_RANGED = 27 -- "ITEM_MOD_HASTE_RANGED_RATING_SHORT"
local HIT_RANGED   = 28 -- "ITEM_MOD_HIT_RANGED_RATING_SHORT"
local CRIT_RANGED  = 29 -- "ITEM_MOD_CRIT_RANGED_RATING_SHORT"


local setIDs = {
-- ------------------------------------------------------------------------------------------------------------------ --
-- DEATHKNIGHT                                                                                            DEATHKNIGHT --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Magma Plated Battlearmor (Heroic)
-- 359 PvE Magma Plated Battlearmor
[99960353] = {[2] = {-90454, EFFECT},
              [4] = {-90456, EFFECT}},
[65184] = 99960353, -- Magma Plated Chestguard (Heroic)
[65185] = 99960353, -- Magma Plated Handguards (Heroic)
[65186] = 99960353, -- Magma Plated Faceguard (Heroic)
[65187] = 99960353, -- Magma Plated Legguards (Heroic)
[65188] = 99960353, -- Magma Plated Shoulderguards (Heroic)
[60349] = 99960353, -- Magma Plated Chestguard
[60350] = 99960353, -- Magma Plated Handguards
[60351] = 99960353, -- Magma Plated Faceguard
[60352] = 99960353, -- Magma Plated Legguards
[60353] = 99960353, -- Magma Plated Shoulderguards
-- 372 PvE Magma Plated Battlegear (Heroic)
-- 359 PvE Magma Plated Battlegear
[99960343] = {[2] = {-90457, EFFECT},
              [4] = {-90459, EFFECT}},
[65179] = 99960343, -- Magma Plated Battleplate (Heroic)
[65180] = 99960343, -- Magma Plated Gauntlets (Heroic)
[65181] = 99960343, -- Magma Plated Helmet (Heroic)
[65182] = 99960343, -- Magma Plated Legplates (Heroic)
[65183] = 99960343, -- Magma Plated Pauldrons (Heroic)
[60339] = 99960343, -- Magma Plated Battleplate
[60340] = 99960343, -- Magma Plated Gauntlets
[60341] = 99960343, -- Magma Plated Helmet
[60342] = 99960343, -- Magma Plated Legplates
[60343] = 99960343, -- Magma Plated Pauldrons

-- 365 PvP Vicious Gladiator's Desecration
-- 352 PvP Bloodthirsty Gladiator's Desecration
[99964739] = {[2] = {400, RESILIENCE, 70, STRENGTH},
              [4] = {90, STRENGTH, -61257, EFFECT}},
[65597] = 99964739, -- Vicious Gladiator's Dreadplate Chestpiece --
[65596] = 99964739, -- Vicious Gladiator's Dreadplate Gauntlets --
[65595] = 99964739, -- Vicious Gladiator's Dreadplate Helm --
[65594] = 99964739, -- Vicious Gladiator's Dreadplate Legguards --
[65593] = 99964739, -- Vicious Gladiator's Dreadplate Shoulders --
[60408] = 99964739, -- Vicious Gladiator's Dreadplate Chestpiece
[60409] = 99964739, -- Vicious Gladiator's Dreadplate Gauntlets
[60410] = 99964739, -- Vicious Gladiator's Dreadplate Helm
[60411] = 99964739, -- Vicious Gladiator's Dreadplate Legguards
[60412] = 99964739, -- Vicious Gladiator's Dreadplate Shoulders
[64735] = 99964739, -- Bloodthirsty Gladiator's Dreadplate Chestpiece
[64736] = 99964739, -- Bloodthirsty Gladiator's Dreadplate Gauntlets
[64737] = 99964739, -- Bloodthirsty Gladiator's Dreadplate Helm
[64738] = 99964739, -- Bloodthirsty Gladiator's Dreadplate Legguards
[64739] = 99964739, -- Bloodthirsty Gladiator's Dreadplate Shoulders
-- older Sets TODO ...
-- ------------------------------------------------------------------------------------------------------------------ --
-- DRUID                                                                                                        DRUID --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Stormrider's Battlegarb (Heroic)
-- 359 PvE Stormrider's Battlegarb
[99960290] = {[2] = {-90162, EFFECT},
              [4] = {-90165, EFFECT}},
[65193] = 99960290, -- Stormrider's Spaulders (Heroic)
[65192] = 99960290, -- Stormrider's Raiment (Heroic)
[65191] = 99960290, -- Stormrider's Legguards (Heroic)
[65190] = 99960290, -- Stormrider's Headpiece (Heroic)
[65189] = 99960290, -- Stormrider's Grips (Heroic)
[60289] = 99960290, -- Stormrider's Spaulders
[60287] = 99960290, -- Stormrider's Raiment
[60288] = 99960290, -- Stormrider's Legguards
[60286] = 99960290, -- Stormrider's Headpiece
[60290] = 99960290, -- Stormrider's Grips
-- 372 PvE Stormrider's Regalia (Heroic)
-- 359 PvE Stormrider's Regalia
[99960285] = {[2] = {-90160, EFFECT},
              [4] = {-90163, EFFECT}},
[65203] = 99960285, -- Stormrider's Shoulderwraps (Heroic)
[65202] = 99960285, -- Stormrider's Vestment (Heroic)
[65201] = 99960285, -- Stormrider's Leggings (Heroic)
[65200] = 99960285, -- Stormrider's Cover (Heroic)
[65199] = 99960285, -- Stormrider's Gloves (Heroic)
[60284] = 99960285, -- Stormrider's Shoulderwraps
[60281] = 99960285, -- Stormrider's Vestment
[60283] = 99960285, -- Stormrider's Leggings
[60282] = 99960285, -- Stormrider's Cover
[60285] = 99960285, -- Stormrider's Gloves
-- 372 PvE Stormrider's Vestments (Heroic)
-- 359 PvE Stormrider's Vestments
[99960279] = {[2] = {-90157, EFFECT},
              [4] = {-90158, EFFECT}},
[65194] = 99960279, -- Stormrider's Handwraps (Heroic)
[65195] = 99960279, -- Stormrider's Helm (Heroic)
[65196] = 99960279, -- Stormrider's Legwraps (Heroic)
[65197] = 99960279, -- Stormrider's Robes (Heroic)
[65198] = 99960279, -- Stormrider's Mantle (Heroic)
[60280] = 99960279, -- Stormrider's Handwraps
[60277] = 99960279, -- Stormrider's Helm
[60278] = 99960279, -- Stormrider's Legwraps
[60276] = 99960279, -- Stormrider's Robes
[60279] = 99960279, -- Stormrider's Mantle

-- 365 PvP Vicious Gladiator's Refuge
-- 352 PvP Bloodthirsty Gladiator's Refuge
[99964768] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -38417, EFFECT}},
[65540] = 99964768, -- Vicious Gladiator's Kodohide Gloves --
[65539] = 99964768, -- Vicious Gladiator's Kodohide Helm --
[65535] = 99964768, -- Vicious Gladiator's Kodohide Legguards --
[65534] = 99964768, -- Vicious Gladiator's Kodohide Robes --
[65533] = 99964768, -- Vicious Gladiator's Kodohide Spaulders --
[60448] = 99964768, -- Vicious Gladiator's Kodohide Gloves
[60449] = 99964768, -- Vicious Gladiator's Kodohide Helm
[60450] = 99964768, -- Vicious Gladiator's Kodohide Legguards
[60451] = 99964768, -- Vicious Gladiator's Kodohide Robes
[60452] = 99964768, -- Vicious Gladiator's Kodohide Spaulders
[64764] = 99964768, -- Bloodthirsty Gladiator's Kodohide Gloves
[64765] = 99964768, -- Bloodthirsty Gladiator's Kodohide Helm
[64766] = 99964768, -- Bloodthirsty Gladiator's Kodohide Legguards
[64767] = 99964768, -- Bloodthirsty Gladiator's Kodohide Robes
[64768] = 99964768, -- Bloodthirsty Gladiator's Kodohide Spaulders
-- 365 PvP Vicious Gladiator's Sanctuary
-- 352 PvP Bloodthirsty Gladiator's Sanctuary
[99964731] = {[2] = {400, RESILIENCE, 70, AGILITY},
              [4] = {90, AGILITY, -23218, EFFECT}},
[65589] = 99964731, -- Vicious Gladiator's Dragonhide Gloves --
[65588] = 99964731, -- Vicious Gladiator's Dragonhide Helm --
[65587] = 99964731, -- Vicious Gladiator's Dragonhide Legguards --
[65542] = 99964731, -- Vicious Gladiator's Dragonhide Robes --
[65541] = 99964731, -- Vicious Gladiator's Dragonhide Spaulders --
[60443] = 99964731, -- Vicious Gladiator's Dragonhide Gloves
[60444] = 99964731, -- Vicious Gladiator's Dragonhide Helm
[60445] = 99964731, -- Vicious Gladiator's Dragonhide Legguards
[60446] = 99964731, -- Vicious Gladiator's Dragonhide Robes
[60447] = 99964731, -- Vicious Gladiator's Dragonhide Spaulders
[64727] = 99964731, -- Bloodthirsty Gladiator's Dragonhide Gloves
[64728] = 99964731, -- Bloodthirsty Gladiator's Dragonhide Helm
[64729] = 99964731, -- Bloodthirsty Gladiator's Dragonhide Legguards
[64730] = 99964731, -- Bloodthirsty Gladiator's Dragonhide Robes
[64731] = 99964731, -- Bloodthirsty Gladiator's Dragonhide Spaulders
-- 365 PvP Vicious Gladiator's Wildhide
-- 352 PvP Bloodthirsty Gladiator's Wildhide
[99964878] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -46832, EFFECT}},
[65532] = 99964878, -- Vicious Gladiator's Wyrmhide Gloves --
[65531] = 99964878, -- Vicious Gladiator's Wyrmhide Helm --
[65552] = 99964878, -- Vicious Gladiator's Wyrmhide Legguards --
[65551] = 99964878, -- Vicious Gladiator's Wyrmhide Robes --
[65550] = 99964878, -- Vicious Gladiator's Wyrmhide Spaulders --
[60453] = 99964878, -- Vicious Gladiator's Wyrmhide Gloves
[60454] = 99964878, -- Vicious Gladiator's Wyrmhide Helm
[60455] = 99964878, -- Vicious Gladiator's Wyrmhide Legguards
[60456] = 99964878, -- Vicious Gladiator's Wyrmhide Robes
[60457] = 99964878, -- Vicious Gladiator's Wyrmhide Spaulders
[64874] = 99964878, -- Bloodthirsty Gladiator's Wyrmhide Gloves
[64875] = 99964878, -- Bloodthirsty Gladiator's Wyrmhide Helm
[64876] = 99964878, -- Bloodthirsty Gladiator's Wyrmhide Legguards
[64877] = 99964878, -- Bloodthirsty Gladiator's Wyrmhide Robes
[64878] = 99964878, -- Bloodthirsty Gladiator's Wyrmhide Spaulders
-- older Sets TODO ...
-- ------------------------------------------------------------------------------------------------------------------ --
-- HUNTER                                                                                                      HUNTER --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Lightning-Charged Battlegear (Heroic)
-- 359 PvE Lightning-Charged Battlegear
[99960304] = {[2] = {-89923, EFFECT},
              [4] = {-96411, EFFECT}},
[65208] = 99960304, -- Lightning-Charged Spaulders (Heroic)
[65207] = 99960304, -- Lightning-Charged Legguards (Heroic)
[65206] = 99960304, -- Lightning-Charged Headguard (Heroic)
[65205] = 99960304, -- Lightning-Charged Gloves (Heroic)
[65204] = 99960304, -- Lightning-Charged Tunic (Heroic)
[60306] = 99960304, -- Lightning-Charged Spaulders
[60305] = 99960304, -- Lightning-Charged Legguards
[60303] = 99960304, -- Lightning-Charged Headguard
[60307] = 99960304, -- Lightning-Charged Gloves
[60304] = 99960304, -- Lightning-Charged Tunic

-- 365 PvP Vicious Gladiator's Pursuit
-- 352 PvP Bloodthirsty Gladiator's Pursuit
[99964712] = {[2] = {400, RESILIENCE, 70, AGILITY},
              [4] = {90, AGILITY, -61256, EFFECT}},
[65579] = 99964712, -- Vicious Gladiator's Chain Armor --
[65544] = 99964712, -- Vicious Gladiator's Chain Gauntlets --
[65543] = 99964712, -- Vicious Gladiator's Chain Helm --
[65538] = 99964712, -- Vicious Gladiator's Chain Leggings --
[65537] = 99964712, -- Vicious Gladiator's Chain Spaulders --
[60423] = 99964712, -- Vicious Gladiator's Chain Armor
[60424] = 99964712, -- Vicious Gladiator's Chain Gauntlets
[60425] = 99964712, -- Vicious Gladiator's Chain Helm
[60426] = 99964712, -- Vicious Gladiator's Chain Leggings
[60427] = 99964712, -- Vicious Gladiator's Chain Spaulders
[64708] = 99964712, -- Bloodthirsty Gladiator's Chain Armor
[64709] = 99964712, -- Bloodthirsty Gladiator's Chain Gauntlets
[64710] = 99964712, -- Bloodthirsty Gladiator's Chain Helm
[64711] = 99964712, -- Bloodthirsty Gladiator's Chain Leggings
[64712] = 99964712, -- Bloodthirsty Gladiator's Chain Spaulders
-- older Sets TODO ...
-- ------------------------------------------------------------------------------------------------------------------ --
-- MAGE                                                                                                          MAGE --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Firelord's Vestments (Heroic)
-- 359 PvE Firelord's Vestments
[99960247] = {[2] = {-90290, EFFECT},
              [4] = {-90291, EFFECT}},
[65213] = 99960247, -- Firelord's Mantle (Heroic)
[65212] = 99960247, -- Firelord's Robes (Heroic)
[65211] = 99960247, -- Firelord's Leggings (Heroic)
[65210] = 99960247, -- Firelord's Hood (Heroic)
[65209] = 99960247, -- Firelord's Gloves (Heroic)
[60246] = 99960247, -- Firelord's Mantle
[60244] = 99960247, -- Firelord's Robes
[60245] = 99960247, -- Firelord's Leggings
[60243] = 99960247, -- Firelord's Hood
[60247] = 99960247, -- Firelord's Gloves

-- 365 PvP Vicious Gladiator's Regalia
-- 352 PvP Bloodthirsty Gladiator's Regalia
[99964857] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -44302, EFFECT}},
[65566] = 99964857, -- Vicious Gladiator's Silk Handguards --
[65565] = 99964857, -- Vicious Gladiator's Silk Cowl --
[65564] = 99964857, -- Vicious Gladiator's Silk Trousers --
[65558] = 99964857, -- Vicious Gladiator's Silk Robe --
[65557] = 99964857, -- Vicious Gladiator's Silk Amice --
[60463] = 99964857, -- Vicious Gladiator's Silk Handguards
[60464] = 99964857, -- Vicious Gladiator's Silk Cowl
[60465] = 99964857, -- Vicious Gladiator's Silk Trousers
[60466] = 99964857, -- Vicious Gladiator's Silk Robe
[60467] = 99964857, -- Vicious Gladiator's Silk Amice
[64853] = 99964857, -- Bloodthirsty Gladiator's Silk Amice
[64854] = 99964857, -- Bloodthirsty Gladiator's Silk Cowl
[64855] = 99964857, -- Bloodthirsty Gladiator's Silk Handguards
[64856] = 99964857, -- Bloodthirsty Gladiator's Silk Robe
[64857] = 99964857, -- Bloodthirsty Gladiator's Silk Trousers
-- older Sets TODO ...
-- ------------------------------------------------------------------------------------------------------------------ --
-- PALADIN                                                                                                    PALADIN --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Reinforced Sapphirium Battlearmor (Heroic)
-- 359 PvE Reinforced Sapphirium Battlearmor
[99960354] = {[2] = {-90301, EFFECT},
              [4] = {-90306, EFFECT}},
[65228] = 99960354, -- Reinforced Sapphirium Shoulderguards (Heroic)
[65227] = 99960354, -- Reinforced Sapphirium Legguards (Heroic)
[65226] = 99960354, -- Reinforced Sapphirium Faceguard (Heroic)
[65225] = 99960354, -- Reinforced Sapphirium Handguards (Heroic)
[65224] = 99960354, -- Reinforced Sapphirium Chestguard (Heroic)
[60358] = 99960354, -- Reinforced Sapphirium Shoulderguards
[60357] = 99960354, -- Reinforced Sapphirium Legguards
[60356] = 99960354, -- Reinforced Sapphirium Faceguard
[60355] = 99960354, -- Reinforced Sapphirium Handguards
[60354] = 99960354, -- Reinforced Sapphirium Chestguard
-- 372 PvE Reinforced Sapphirium Battleplate (Heroic)
-- 359 PvE Reinforced Sapphirium Battleplate
[99960344] = {[2] = {-90298, EFFECT},
              [4] = {-90299, EFFECT}},
[65218] = 99960344, -- Reinforced Sapphirium Pauldrons (Heroic)
[65217] = 99960344, -- Reinforced Sapphirium Legplates (Heroic)
[65216] = 99960344, -- Reinforced Sapphirium Helmet (Heroic)
[65215] = 99960344, -- Reinforced Sapphirium Gauntlets (Heroic)
[65214] = 99960344, -- Reinforced Sapphirium Battleplate (Heroic)
[60348] = 99960344, -- Reinforced Sapphirium Pauldrons
[60347] = 99960344, -- Reinforced Sapphirium Legplates
[60346] = 99960344, -- Reinforced Sapphirium Helmet
[60345] = 99960344, -- Reinforced Sapphirium Gauntlets
[60344] = 99960344, -- Reinforced Sapphirium Battleplate
-- 372 PvE Reinforced Sapphirium Regalia (Heroic)
-- 359 PvE Reinforced Sapphirium Regalia
[99960360] = {[2] = {-90310, EFFECT},
              [4] = {-90313, EFFECT}},
[65223] = 99960360, -- Reinforced Sapphirium Mantle (Heroic)
[65222] = 99960360, -- Reinforced Sapphirium Greaves (Heroic)
[65221] = 99960360, -- Reinforced Sapphirium Headguard (Heroic)
[65220] = 99960360, -- Reinforced Sapphirium Gloves (Heroic)
[65219] = 99960360, -- Reinforced Sapphirium Breastplate (Heroic)
[60362] = 99960360, -- Reinforced Sapphirium Mantle
[60361] = 99960360, -- Reinforced Sapphirium Greaves
[60359] = 99960360, -- Reinforced Sapphirium Headguard
[60363] = 99960360, -- Reinforced Sapphirium Gloves
[60360] = 99960360, -- Reinforced Sapphirium Breastplate

-- 365 PvP Vicious Gladiator's Redemption
-- 352 PvP Bloodthirsty Gladiator's Redemption
[99964806] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -58000, EFFECT}},
[65522] = 99964806, -- Vicious Gladiator's Ornamented Chestguard --
[65521] = 99964806, -- Vicious Gladiator's Ornamented Gloves --
[65520] = 99964806, -- Vicious Gladiator's Ornamented Headcover --
[65519] = 99964806, -- Vicious Gladiator's Ornamented Legplates --
[65518] = 99964806, -- Vicious Gladiator's Ornamented Spaulders --
[60601] = 99964806, -- Vicious Gladiator's Ornamented Chestguard
[60602] = 99964806, -- Vicious Gladiator's Ornamented Gloves
[60603] = 99964806, -- Vicious Gladiator's Ornamented Headcover
[60604] = 99964806, -- Vicious Gladiator's Ornamented Legplates
[60605] = 99964806, -- Vicious Gladiator's Ornamented Spaulders
[64803] = 99964806, -- Bloodthirsty Gladiator's Ornamented Gloves
[64804] = 99964806, -- Bloodthirsty Gladiator's Ornamented Headcover
[64805] = 99964806, -- Bloodthirsty Gladiator's Ornamented Legplates
[64806] = 99964806, -- Bloodthirsty Gladiator's Ornamented Spaulders
-- 365 PvP Vicious Gladiator's Vindication
-- 352 PvP Bloodthirsty Gladiator's Vindication
[99964847] = {[2] = {400, RESILIENCE, 70, STRENGTH},
              [4] = {90, STRENGTH, -61776, EFFECT}},
[65592] = 99964847, -- Vicious Gladiator's Scaled Chestpiece --
[65591] = 99964847, -- Vicious Gladiator's Scaled Gauntlets --
[65590] = 99964847, -- Vicious Gladiator's Scaled Helm --
[65586] = 99964847, -- Vicious Gladiator's Scaled Legguards --
[65585] = 99964847, -- Vicious Gladiator's Scaled Shoulders --
[60413] = 99964847, -- Vicious Gladiator's Scaled Chestpiece
[60414] = 99964847, -- Vicious Gladiator's Scaled Gauntlets
[60415] = 99964847, -- Vicious Gladiator's Scaled Helm
[60416] = 99964847, -- Vicious Gladiator's Scaled Legguards
[60417] = 99964847, -- Vicious Gladiator's Scaled Shoulders
[64843] = 99964847, -- Bloodthirsty Gladiator's Scaled Chestpiece
[64844] = 99964847, -- Bloodthirsty Gladiator's Scaled Gauntlets
[64845] = 99964847, -- Bloodthirsty Gladiator's Scaled Helm
[64846] = 99964847, -- Bloodthirsty Gladiator's Scaled Legguards
[64847] = 99964847, -- Bloodthirsty Gladiator's Scaled Shoulders
-- older Sets TODO ...
-- ------------------------------------------------------------------------------------------------------------------ --
-- PRIEST                                                                                                      PRIEST --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Mercurial Regalia (Heroic)
-- 359 PvE Mercurial Regalia
[99960257] = {[2] = {-89915, EFFECT},
              [4] = {-89922, EFFECT}},
[65238] = 99960257, -- Mercurial Shoulderwraps (Heroic)
[65237] = 99960257, -- Mercurial Vestment (Heroic)
[65236] = 99960257, -- Mercurial Leggings (Heroic)
[65235] = 99960257, -- Mercurial Hood (Heroic)
[65234] = 99960257, -- Mercurial Gloves (Heroic)
[60253] = 99960257, -- Mercurial Shoulderwraps
[60254] = 99960257, -- Mercurial Vestment
[60255] = 99960257, -- Mercurial Leggings
[60256] = 99960257, -- Mercurial Hood
[60257] = 99960257, -- Mercurial Gloves
-- 372 PvE Mercurial Vestments (Heroic)
-- 359 PvE Mercurial Vestments
[99960275] = {[2] = {-89910, EFFECT},
              [4] = {-89911, EFFECT}},
[65233] = 99960275, -- Mercurial Mantle (Heroic)
[65232] = 99960275, -- Mercurial Robes (Heroic)
[65231] = 99960275, -- Mercurial Legwraps (Heroic)
[65230] = 99960275, -- Mercurial Cowl (Heroic)
[65229] = 99960275, -- Mercurial Handwraps (Heroic)
[60262] = 99960275, -- Mercurial Mantle
[60259] = 99960275, -- Mercurial Robes
[60261] = 99960275, -- Mercurial Legwraps
[60258] = 99960275, -- Mercurial Cowl
[60275] = 99960275, -- Mercurial Handwraps

-- 365 PvP Vicious Gladiator's Investiture
-- 352 PvP Bloodthirsty Gladiator's Investiture
[99964799] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -33333, EFFECT}},
[65556] = 99964799, -- Vicious Gladiator's Mooncloth Gloves --
[65555] = 99964799, -- Vicious Gladiator's Mooncloth Helm --
[65554] = 99964799, -- Vicious Gladiator's Mooncloth Leggings --
[65553] = 99964799, -- Vicious Gladiator's Mooncloth Robe --
[65578] = 99964799, -- Vicious Gladiator's Mooncloth Mantle --
[60468] = 99964799, -- Vicious Gladiator's Mooncloth Gloves
[60469] = 99964799, -- Vicious Gladiator's Mooncloth Helm
[60470] = 99964799, -- Vicious Gladiator's Mooncloth Leggings
[60471] = 99964799, -- Vicious Gladiator's Mooncloth Robe
[60472] = 99964799, -- Vicious Gladiator's Mooncloth Mantle
[64795] = 99964799, -- Bloodthirsty Gladiator's Mooncloth Gloves
[64796] = 99964799, -- Bloodthirsty Gladiator's Mooncloth Helm
[64797] = 99964799, -- Bloodthirsty Gladiator's Mooncloth Leggings
[64798] = 99964799, -- Bloodthirsty Gladiator's Mooncloth Mantle
[64799] = 99964799, -- Bloodthirsty Gladiator's Mooncloth Robe
-- 365 PvP Vicious Gladiator's Raiment
-- 352 PvP Bloodthirsty Gladiator's Raiment
[99964842] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -92711, EFFECT}},
[65577] = 99964842, -- Vicious Gladiator's Satin Gloves --
[65576] = 99964842, -- Vicious Gladiator's Satin Hood --
[65575] = 99964842, -- Vicious Gladiator's Satin Leggings --
[65574] = 99964842, -- Vicious Gladiator's Satin Robe --
[65573] = 99964842, -- Vicious Gladiator's Satin Mantle --
[60473] = 99964842, -- Vicious Gladiator's Satin Gloves
[60474] = 99964842, -- Vicious Gladiator's Satin Hood
[60475] = 99964842, -- Vicious Gladiator's Satin Leggings
[60476] = 99964842, -- Vicious Gladiator's Satin Robe
[60477] = 99964842, -- Vicious Gladiator's Satin Mantle
[64838] = 99964842, -- Bloodthirsty Gladiator's Satin Gloves
[64839] = 99964842, -- Bloodthirsty Gladiator's Satin Hood
[64840] = 99964842, -- Bloodthirsty Gladiator's Satin Leggings
[64841] = 99964842, -- Bloodthirsty Gladiator's Satin Mantle
[64842] = 99964842, -- Bloodthirsty Gladiator's Satin Robe
-- older Sets TODO ...
-- ------------------------------------------------------------------------------------------------------------------ --
-- ROGUE                                                                                                        ROGUE --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Wind Dancer's Regalia (Heroic)
-- 359 PvE Wind Dancer's Regalia
[99960301] = {[2] = {-90460, EFFECT},
              [4] = {-90473, EFFECT}},
[65243] = 99960301, -- Wind Dancer's Spaulders (Heroic)
[65242] = 99960301, -- Wind Dancer's Legguards (Heroic)
[65241] = 99960301, -- Wind Dancer's Helmet (Heroic)
[65240] = 99960301, -- Wind Dancer's Gloves (Heroic)
[65239] = 99960301, -- Wind Dancer's Tunic (Heroic)
[60302] = 99960301, -- Wind Dancer's Spaulders
[60300] = 99960301, -- Wind Dancer's Legguards
[60299] = 99960301, -- Wind Dancer's Helmet
[60298] = 99960301, -- Wind Dancer's Gloves
[60301] = 99960301, -- Wind Dancer's Tunic

-- 365 PvP Vicious Gladiator's Vestments
-- 352 PvP Bloodthirsty Gladiator's Vestments
[99964773] = {[2] = {400, RESILIENCE, 70, AGILITY},
              [4] = {90, AGILITY, -21975, EFFECT}},
[65549] = 99964773, -- Vicious Gladiator's Leather Tunic --
[65548] = 99964773, -- Vicious Gladiator's Leather Gloves --
[65547] = 99964773, -- Vicious Gladiator's Leather Helm --
[65546] = 99964773, -- Vicious Gladiator's Leather Legguards --
[65545] = 99964773, -- Vicious Gladiator's Leather Spaulders --
[60458] = 99964773, -- Vicious Gladiator's Leather Tunic
[60459] = 99964773, -- Vicious Gladiator's Leather Gloves
[60460] = 99964773, -- Vicious Gladiator's Leather Helm
[60461] = 99964773, -- Vicious Gladiator's Leather Legguards
[60462] = 99964773, -- Vicious Gladiator's Leather Spaulders
[64769] = 99964773, -- Bloodthirsty Gladiator's Leather Gloves
[64770] = 99964773, -- Bloodthirsty Gladiator's Leather Helm
[64771] = 99964773, -- Bloodthirsty Gladiator's Leather Legguards
[64772] = 99964773, -- Bloodthirsty Gladiator's Leather Spaulders
[64773] = 99964773, -- Bloodthirsty Gladiator's Leather Tunic
-- older Sets TODO ...
-- ------------------------------------------------------------------------------------------------------------------ --
-- SHAMAN                                                                                                      SHAMAN --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Battlegear of the Raging Elements (Heroic)
-- 359 PvE Battlegear of the Raging Elements
[99960318] = {[2] = {-90501, EFFECT},
              [4] = {-90502, EFFECT}},
[65253] = 99960318, -- Spaulders of the Raging Elements (Heroic)
[65252] = 99960318, -- Legguards of the Raging Elements (Heroic)
[65251] = 99960318, -- Helmet of the Raging Elements (Heroic)
[65250] = 99960318, -- Grips of the Raging Elements (Heroic)
[65249] = 99960318, -- Cuirass of the Raging Elements (Heroic)
[60322] = 99960318, -- Spaulders of the Raging Elements
[60321] = 99960318, -- Legguards of the Raging Elements
[60320] = 99960318, -- Helmet of the Raging Elements
[60319] = 99960318, -- Grips of the Raging Elements
[60318] = 99960318, -- Cuirass of the Raging Elements
-- 372 PvE Regalia of the Raging Elements (Heroic)
-- 359 PvE Regalia of the Raging Elements
[99960313] = {[2] = {-90503, EFFECT},
              [4] = {-90505, EFFECT}},
[65258] = 99960313, -- Shoulderwraps of the Raging Elements (Heroic)
[65257] = 99960313, -- Kilt of the Raging Elements (Heroic)
[65256] = 99960313, -- Headpiece of the Raging Elements (Heroic)
[65255] = 99960313, -- Gloves of the Raging Elements (Heroic)
[65254] = 99960313, -- Hauberk of the Raging Elements (Heroic)
[60317] = 99960313, -- Shoulderwraps of the Raging Elements
[60316] = 99960313, -- Kilt of the Raging Elements
[60315] = 99960313, -- Headpiece of the Raging Elements
[60314] = 99960313, -- Gloves of the Raging Elements
[60313] = 99960313, -- Hauberk of the Raging Elements
-- 372 PvE Vestments of the Raging Elements (Heroic)
-- 359 PvE Vestments of the Raging Elements
[99960309] = {[2] = {-90494, EFFECT},
              [4] = {-90499, EFFECT}},
[65248] = 99960309, -- Mantle of the Raging Elements (Heroic)
[65247] = 99960309, -- Legwraps of the Raging Elements (Heroic)
[65246] = 99960309, -- Faceguard of the Raging Elements (Heroic)
[65245] = 99960309, -- Handwraps of the Raging Elements (Heroic)
[65244] = 99960309, -- Tunic of the Raging Elements (Heroic)
[60311] = 99960309, -- Mantle of the Raging Elements
[60310] = 99960309, -- Legwraps of the Raging Elements
[60308] = 99960309, -- Faceguard of the Raging Elements
[60312] = 99960309, -- Handwraps of the Raging Elements
[60309] = 99960309, -- Tunic of the Raging Elements

-- 365 PvP Vicious Gladiator's Earthshaker
-- 352 PvP Bloodthirsty Gladiator's Earthshaker
[99964780] = {[2] = {400, RESILIENCE, 70, AGILITY},
              [4] = {90, AGILITY, -33018, EFFECT}},
[65563] = 99964780, -- Vicious Gladiator's Linked Armor --
[65562] = 99964780, -- Vicious Gladiator's Linked Gauntlets --
[65561] = 99964780, -- Vicious Gladiator's Linked Helm --
[65560] = 99964780, -- Vicious Gladiator's Linked Leggings --
[65559] = 99964780, -- Vicious Gladiator's Linked Spaulders --
[60433] = 99964780, -- Vicious Gladiator's Linked Armor
[60434] = 99964780, -- Vicious Gladiator's Linked Gauntlets
[60435] = 99964780, -- Vicious Gladiator's Linked Helm
[60436] = 99964780, -- Vicious Gladiator's Linked Leggings
[60437] = 99964780, -- Vicious Gladiator's Linked Spaulders
[64776] = 99964780, -- Bloodthirsty Gladiator's Linked Armor
[64777] = 99964780, -- Bloodthirsty Gladiator's Linked Gauntlets
[64778] = 99964780, -- Bloodthirsty Gladiator's Linked Helm
[64779] = 99964780, -- Bloodthirsty Gladiator's Linked Leggings
[64780] = 99964780, -- Bloodthirsty Gladiator's Linked Spaulders
-- 365 PvP Vicious Gladiator's Thunderfist
-- 352 PvP Bloodthirsty Gladiator's Thunderfist
[99964788] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -44299, EFFECT}},
[65527] = 99964788, -- Vicious Gladiator's Mail Armor --
[65526] = 99964788, -- Vicious Gladiator's Mail Gauntlets --
[65525] = 99964788, -- Vicious Gladiator's Mail Helm --
[65524] = 99964788, -- Vicious Gladiator's Mail Leggings --
[65523] = 99964788, -- Vicious Gladiator's Mail Spaulders --
[60438] = 99964788, -- Vicious Gladiator's Mail Armor
[60439] = 99964788, -- Vicious Gladiator's Mail Gauntlets
[60440] = 99964788, -- Vicious Gladiator's Mail Helm
[60441] = 99964788, -- Vicious Gladiator's Mail Leggings
[60442] = 99964788, -- Vicious Gladiator's Mail Spaulders
[64784] = 99964788, -- Bloodthirsty Gladiator's Mail Armor
[64785] = 99964788, -- Bloodthirsty Gladiator's Mail Gauntlets
[64786] = 99964788, -- Bloodthirsty Gladiator's Mail Helm
[64787] = 99964788, -- Bloodthirsty Gladiator's Mail Leggings
[64788] = 99964788, -- Bloodthirsty Gladiator's Mail Spaulders
-- 365 PvP Vicious Gladiator's Wartide
-- 352 PvP Bloodthirsty Gladiator's Wartide
[99964831] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -44299, EFFECT}},
[65536] = 99964831, -- Vicious Gladiator's Ringmail Armor --
[65570] = 99964831, -- Vicious Gladiator's Ringmail Gauntlets --
[65569] = 99964831, -- Vicious Gladiator's Ringmail Helm --
[65568] = 99964831, -- Vicious Gladiator's Ringmail Leggings --
[65567] = 99964831, -- Vicious Gladiator's Ringmail Spaulders --
[60428] = 99964831, -- Vicious Gladiator's Ringmail Armor
[60429] = 99964831, -- Vicious Gladiator's Ringmail Gauntlets
[60430] = 99964831, -- Vicious Gladiator's Ringmail Helm
[60431] = 99964831, -- Vicious Gladiator's Ringmail Leggings
[60432] = 99964831, -- Vicious Gladiator's Ringmail Spaulders
[64827] = 99964831, -- Bloodthirsty Gladiator's Ringmail Armor
[64828] = 99964831, -- Bloodthirsty Gladiator's Ringmail Gauntlets
[64829] = 99964831, -- Bloodthirsty Gladiator's Ringmail Helm
[64830] = 99964831, -- Bloodthirsty Gladiator's Ringmail Leggings
[64831] = 99964831, -- Bloodthirsty Gladiator's Ringmail Spaulders
-- older Sets TODO ...
-- ------------------------------------------------------------------------------------------------------------------ --
-- WARLOCK                                                                                                    WARLOCK --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Shadowflame Regalia (Heroic)
-- 359 PvE Shadowflame Regalia
[99960248] = {[2] = {-89934, EFFECT},
              [4] = {-89935, EFFECT}},
[65263] = 99960248, -- Shadowflame Mantle (Heroic)
[65262] = 99960248, -- Shadowflame Robes (Heroic)
[65261] = 99960248, -- Shadowflame Leggings (Heroic)
[65260] = 99960248, -- Shadowflame Hood (Heroic)
[65259] = 99960248, -- Shadowflame Handwraps (Heroic)
[60252] = 99960248, -- Shadowflame Mantle
[60251] = 99960248, -- Shadowflame Robes
[60250] = 99960248, -- Shadowflame Leggings
[60249] = 99960248, -- Shadowflame Hood
[60248] = 99960248, -- Shadowflame Handwraps

-- 365 PvP Vicious Gladiator's Felshroud
-- 352 PvP Bloodthirsty Gladiator's Felshroud
[99964749] = {[2] = {400, RESILIENCE, 70, INTELLECT},
              [4] = {90, INTELLECT, -23047, EFFECT}},
[65572] = 99964749, -- Vicious Gladiator's Felweave Handguards --
[65571] = 99964749, -- Vicious Gladiator's Felweave Cowl --
[65530] = 99964749, -- Vicious Gladiator's Felweave Trousers --
[65529] = 99964749, -- Vicious Gladiator's Felweave Raiment --
[65528] = 99964749, -- Vicious Gladiator's Felweave Amice --
[60478] = 99964749, -- Vicious Gladiator's Felweave Handguards
[60479] = 99964749, -- Vicious Gladiator's Felweave Cowl
[60480] = 99964749, -- Vicious Gladiator's Felweave Trousers
[60481] = 99964749, -- Vicious Gladiator's Felweave Raiment
[60482] = 99964749, -- Vicious Gladiator's Felweave Amice
[64745] = 99964749, -- Bloodthirsty Gladiator's Felweave Amice
[64746] = 99964749, -- Bloodthirsty Gladiator's Felweave Cowl
[64747] = 99964749, -- Bloodthirsty Gladiator's Felweave Handguards
[64748] = 99964749, -- Bloodthirsty Gladiator's Felweave Raiment
[64749] = 99964749, -- Bloodthirsty Gladiator's Felweave Trousers

-- 277 PvE Sanctified Dark Coven's Regalia (Hero)
-- 264 PvE Sanctified Dark Coven's Regalia
-- 251 PvE Dark Coven's Regalia
[99950244] = {[2] = {-70839, EFFECT},
              [4] = {-70841, EFFECT}},
[51230] = 99950244, -- Sanctified Dark Coven Gloves
[51231] = 99950244, -- Sanctified Dark Coven Hood
[51232] = 99950244, -- Sanctified Dark Coven Leggings
[51233] = 99950244, -- Sanctified Dark Coven Robe
[51234] = 99950244, -- Sanctified Dark Coven Shoulderpads
[51205] = 99950244, -- Sanctified Dark Coven Shoulderpads
[51206] = 99950244, -- Sanctified Dark Coven Robe
[51207] = 99950244, -- Sanctified Dark Coven Leggings
[51208] = 99950244, -- Sanctified Dark Coven Hood
[51209] = 99950244, -- Sanctified Dark Coven Gloves
[50240] = 99950244, -- Dark Coven Gloves
[50241] = 99950244, -- Dark Coven Hood
[50242] = 99950244, -- Dark Coven Leggings
[50243] = 99950244, -- Dark Coven Robe
[50244] = 99950244, -- Dark Coven Shoulderpads

-- 258 PvE Triumphant Gul'dan's Regalia (Hero)
-- 258 PvE Triumphant Kel'Thuzad's Regalia (Hero)
-- 245 PvE Triumphant Gul'dan's Regalia
-- 245 PvE Triumphant Kel'Thuzad's Regalia
-- 232 PvE Conqueror's Gul'dan's Regalia
-- 232 PvE Conqueror's Kel'Thuzad's Regalia
[99947787] = {[2] = {-67230, EFFECT},
              [4] = {-67231, EFFECT}},
[47793] = 99947787, -- Gul'dan's Shoulderpads of Triumph
[47794] = 99947787, -- Gul'dan's Robe of Triumph
[47795] = 99947787, -- Gul'dan's Leggings of Triumph
[47796] = 99947787, -- Gul'dan's Hood of Triumph
[47797] = 99947787, -- Gul'dan's Gloves of Triumph
[47788] = 99947787, -- Kel'Thuzad's Gloves of Triumph
[47789] = 99947787, -- Kel'Thuzad's Hood of Triumph
[47790] = 99947787, -- Kel'Thuzad's Leggings of Triumph
[47791] = 99947787, -- Kel'Thuzad's Robe of Triumph
[47792] = 99947787, -- Kel'Thuzad's Shoulderpads of Triumph
[47803] = 99947787, -- Gul'dan's Gloves of Triumph
[47804] = 99947787, -- Gul'dan's Hood of Triumph
[47805] = 99947787, -- Gul'dan's Leggings of Triumph
[47806] = 99947787, -- Gul'dan's Robe of Triumph
[47807] = 99947787, -- Gul'dan's Shoulderpads of Triumph
[47778] = 99947787, -- Kel'Thuzad's Hood of Triumph
[47779] = 99947787, -- Kel'Thuzad's Robe of Triumph
[47780] = 99947787, -- Kel'Thuzad's Leggings of Triumph
[47781] = 99947787, -- Kel'Thuzad's Shoulderpads of Triumph
[47782] = 99947787, -- Kel'Thuzad's Gloves of Triumph
[47798] = 99947787, -- Gul'dan's Shoulderpads of Conquest
[47799] = 99947787, -- Gul'dan's Robe of Conquest
[47800] = 99947787, -- Gul'dan's Leggings of Conquest
[47801] = 99947787, -- Gul'dan's Hood of Conquest
[47802] = 99947787, -- Gul'dan's Gloves of Conquest
[47783] = 99947787, -- Kel'Thuzad's Gloves of Conquest
[47784] = 99947787, -- Kel'Thuzad's Hood of Conquest
[47785] = 99947787, -- Kel'Thuzad's Leggings of Conquest
[47786] = 99947787, -- Kel'Thuzad's Robe of Conquest
[47787] = 99947787, -- Kel'Thuzad's Shoulderpads of Conquest

-- 226 PvE Conqueror's Deathbringer Garb
-- 219 PvE Valorous Deathbringer Garb
[99945422] = {[2] = {-64931, EFFECT},
              [4] = {-64932, EFFECT}},
[46135] = 99945422, -- Conqueror's Deathbringer Gloves
[46136] = 99945422, -- Conqueror's Deathbringer Shoulderpads
[46137] = 99945422, -- Conqueror's Deathbringer Robe
[46139] = 99945422, -- Conqueror's Deathbringer Leggings
[46140] = 99945422, -- Conqueror's Deathbringer Hood
[45417] = 99945422, -- Valorous Deathbringer Hood
[45419] = 99945422, -- Valorous Deathbringer Gloves
[45420] = 99945422, -- Valorous Deathbringer Leggings
[45421] = 99945422, -- Valorous Deathbringer Robe
[45422] = 99945422, -- Valorous Deathbringer Shoulderpads

-- 213 PvE Valorous Plagueheart Garb
-- 200 PvE Heroes' Plagueheart Garb
[99939500] = {[2] = {-60170, EFFECT},
              [4] = {-60172, EFFECT}},
[40420] = 99939500, -- Valorous Plagueheart Gloves
[40421] = 99939500, -- Valorous Plagueheart Circlet
[40422] = 99939500, -- Valorous Plagueheart Leggings
[40423] = 99939500, -- Valorous Plagueheart Robe
[40424] = 99939500, -- Valorous Plagueheart Shoulderpads
[39496] = 99939500, -- Heroes' Plagueheart Circlet
[39497] = 99939500, -- Heroes' Plagueheart Robe
[39498] = 99939500, -- Heroes' Plagueheart Leggings
[39499] = 99939500, -- Heroes' Plagueheart Shoulderpads
[39500] = 99939500, -- Heroes' Plagueheart Gloves

-- 270 PvP Wrathful Gladiator's Felshroud
-- 251 PvP Relentless Gladiator's Felshroud
-- 232 PvP Furious Gladiator's Felshroud
-- 213 PvP Deadly Gladiator's Felshroud
-- 200 PvP Hateful Gladiator's Felshroud
-- 200 PvP Savage Gladiator's Felshroud
[99942014] = {[2] = {100, RESILIENCE, 25, INTELLECT},
              [4] = {75, INTELLECT, -23047, EFFECT}},
[51536] = 99942014, -- Wrathful Gladiator's Felweave Raiment
[51537] = 99942014, -- Wrathful Gladiator's Felweave Handguards
[51538] = 99942014, -- Wrathful Gladiator's Felweave Cowl
[51539] = 99942014, -- Wrathful Gladiator's Felweave Trousers
[51540] = 99942014, -- Wrathful Gladiator's Felweave Amice
[41994] = 99942014, -- Relentless Gladiator's Felweave Cowl
[41999] = 99942014, -- Relentless Gladiator's Felweave Raiment
[42006] = 99942014, -- Relentless Gladiator's Felweave Trousers
[42012] = 99942014, -- Relentless Gladiator's Felweave Amice
[42018] = 99942014, -- Relentless Gladiator's Felweave Handguards
[41993] = 99942014, -- Furious Gladiator's Felweave Cowl
[41998] = 99942014, -- Furious Gladiator's Felweave Raiment
[42005] = 99942014, -- Furious Gladiator's Felweave Trousers
[42011] = 99942014, -- Furious Gladiator's Felweave Amice
[42017] = 99942014, -- Furious Gladiator's Felweave Handguards
[41992] = 99942014, -- Deadly Gladiator's Felweave Cowl
[41997] = 99942014, -- Deadly Gladiator's Felweave Raiment
[42004] = 99942014, -- Deadly Gladiator's Felweave Trousers
[42010] = 99942014, -- Deadly Gladiator's Felweave Amice
[42016] = 99942014, -- Deadly Gladiator's Felweave Handguards
[41991] = 99942014, -- Hateful Gladiator's Felweave Cowl
[42001] = 99942014, -- Hateful Gladiator's Felweave Raiment
[42003] = 99942014, -- Hateful Gladiator's Felweave Trousers
[42009] = 99942014, -- Hateful Gladiator's Felweave Amice
[42015] = 99942014, -- Hateful Gladiator's Felweave Handguards
[41990] = 99942014, -- Savage Gladiator's Felweave Cowl
[41996] = 99942014, -- Savage Gladiator's Felweave Raiment
[42002] = 99942014, -- Savage Gladiator's Felweave Trousers
[42008] = 99942014, -- Savage Gladiator's Felweave Amice
[42014] = 99942014, -- Savage Gladiator's Felweave Handguards

-- 146-154 PvE Malefic Raiment
[99934541] = {[2] = {-38394, EFFECT},
              [4] = {-38393, EFFECT}},
[31050] = 99934541, -- Gloves of the Malefic
[31051] = 99934541, -- Hood of the Malefic
[31053] = 99934541, -- Leggings of the Malefic
[31054] = 99934541, -- Mantle of the Malefic
[31052] = 99934541, -- Robe of the Malefic
[34564] = 99934541, -- Boots of the Malefic
[34436] = 99934541, -- Bracers of the Malefic
[34541] = 99934541, -- Belt of the Malefic

-- 133 PvE Corruptor Raiment
[99930214] = {[2] = {-37381, EFFECT},
              [4] = {-61992, EFFECT}},
[30211] = 99930214, -- Gloves of the Corruptor
[30212] = 99930214, -- Hood of the Corruptor
[30213] = 99930214, -- Leggings of the Corruptor
[30215] = 99930214, -- Mantle of the Corruptor
[30214] = 99930214, -- Robe of the Corruptor

-- 159 PvP Brutal Gladiator's Dreadgear
-- 146 PvP Vengeful Gladiator's Dreadgear
-- 136 PvP Merciless Gladiator's Dreadgear
-- 123 PvP Gladiator's Dreadgear
[99924552] = {[2] = {35, RESILIENCE},
              [4] = {-23047, EFFECT}},
[35003] = 99924552, -- Brutal Gladiator's Dreadweave Gloves
[35004] = 99924552, -- Brutal Gladiator's Dreadweave Hood
[35005] = 99924552, -- Brutal Gladiator's Dreadweave Leggings
[35006] = 99924552, -- Brutal Gladiator's Dreadweave Mantle
[35007] = 99924552, -- Brutal Gladiator's Dreadweave Robe
[33676] = 99924552, -- Vengeful Gladiator's Dreadweave Gloves
[33677] = 99924552, -- Vengeful Gladiator's Dreadweave Hood
[33678] = 99924552, -- Vengeful Gladiator's Dreadweave Leggings
[33679] = 99924552, -- Vengeful Gladiator's Dreadweave Mantle
[33680] = 99924552, -- Vengeful Gladiator's Dreadweave Robe
[31973] = 99924552, -- Merciless Gladiator's Dreadweave Gloves
[31974] = 99924552, -- Merciless Gladiator's Dreadweave Hood
[31975] = 99924552, -- Merciless Gladiator's Dreadweave Leggings
[31976] = 99924552, -- Merciless Gladiator's Dreadweave Mantle
[31977] = 99924552, -- Merciless Gladiator's Dreadweave Robe
[24556] = 99924552, -- Gladiator's Dreadweave Gloves
[24553] = 99924552, -- Gladiator's Dreadweave Hood
[24555] = 99924552, -- Gladiator's Dreadweave Leggings
[24554] = 99924552, -- Gladiator's Dreadweave Mantle
[24552] = 99924552, -- Gladiator's Dreadweave Robe

-- 159 PvP Brutal Gladiator's Felshroud
-- 146 PvP Vengeful Gladiator's Felshroud
-- 136 PvP Merciless Gladiator's Felshroud
-- 123 PvP Gladiator's Felshroud
[99930201] = {[2] = {35, RESILIENCE},
              [4] = {-23047, EFFECT}},
[35009] = 99930201, -- Brutal Gladiator's Felweave Amice
[35010] = 99930201, -- Brutal Gladiator's Felweave Cowl
[35011] = 99930201, -- Brutal Gladiator's Felweave Handguards
[35012] = 99930201, -- Brutal Gladiator's Felweave Raiment
[35013] = 99930201, -- Brutal Gladiator's Felweave Trousers
[33682] = 99930201, -- Vengeful Gladiator's Felweave Amice
[33683] = 99930201, -- Vengeful Gladiator's Felweave Cowl
[33684] = 99930201, -- Vengeful Gladiator's Felweave Handguards
[33685] = 99930201, -- Vengeful Gladiator's Felweave Raiment
[33686] = 99930201, -- Vengeful Gladiator's Felweave Trousers
[31979] = 99930201, -- Merciless Gladiator's Felweave Amice
[31980] = 99930201, -- Merciless Gladiator's Felweave Cowl
[31981] = 99930201, -- Merciless Gladiator's Felweave Handguards
[31982] = 99930201, -- Merciless Gladiator's Felweave Raiment
[31983] = 99930201, -- Merciless Gladiator's Felweave Trousers
[30186] = 99930201, -- Gladiator's Felweave Amice
[30187] = 99930201, -- Gladiator's Felweave Cowl
[30188] = 99930201, -- Gladiator's Felweave Handguards
[30200] = 99930201, -- Gladiator's Felweave Raiment
[30201] = 99930201, -- Gladiator's Felweave Trousers

-- 120 Voidheart Raiment
[99928964] = {[2] = {-39437, EFFECT, -37377, EFFECT},
              [4] = {-37380, EFFECT}},
[28963] = 99928964, -- Voidheart Crown
[28968] = 99928964, -- Voidheart Gloves
[28966] = 99928964, -- Voidheart Leggings
[28967] = 99928964, -- Voidheart Mantle
[28964] = 99928964, -- Voidheart Robe

-- 115 Dreadweave Battlegear
[99935332] = {[2] = {35, RESILIENCE},
              [4] = {-23047, EFFECT}},
[35328] = 99935332, -- Dreadweave Gloves
[35329] = 99935332, -- Dreadweave Hood
[35330] = 99935332, -- Dreadweave Leggings
[35331] = 99935332, -- Dreadweave Mantle
[35332] = 99935332, -- Dreadweave Robe

-- 115 Grand Marshal's Dreadgear
[99928628] = {[2] = {35, RESILIENCE},
              [4] = {-23047, EFFECT}},
[28624] = 99928628, -- Grand Marshal's Dreadweave Gloves
[28625] = 99928628, -- Grand Marshal's Dreadweave Hood
[28626] = 99928628, -- Grand Marshal's Dreadweave Leggings
[28627] = 99928628, -- Grand Marshal's Dreadweave Mantle
[28628] = 99928628, -- Grand Marshal's Dreadweave Robe

-- 115 High Warlord's Dreadgear
[99928821] = {[2] = {35, RESILIENCE},
              [4] = {-23047, EFFECT}},
[28817] = 99928821, -- High Warlord's Dreadweave Gloves
[28818] = 99928821, -- High Warlord's Dreadweave Hood
[28819] = 99928821, -- High Warlord's Dreadweave Leggings
[28820] = 99928821, -- High Warlord's Dreadweave Mantle
[28821] = 99928821, -- High Warlord's Dreadweave Robe

-- 86-92 Plagueheart Raiment
[99923063] = {[2] = {-28831, EFFECT},
              [4] = {-28829, EFFECT},
              [6] = {-28746, EFFECT},
              [8] = {-28830, EFFECT}},
[22510] = 99923063, -- Plagueheart Belt
[22511] = 99923063, -- Plagueheart Bindings
[22506] = 99923063, -- Plagueheart Circlet
[22509] = 99923063, -- Plagueheart Gloves
[22505] = 99923063, -- Plagueheart Leggings
[22504] = 99923063, -- Plagueheart Robe
[22508] = 99923063, -- Plagueheart Sandals
[22507] = 99923063, -- Plagueheart Shoulderpads
[23063] = 99923063, -- Plagueheart Ring

-- 78-88 Doomcaller's Attire
[99921336] = {[3] = {-26116, EFFECT},
              [5] = {-26117, EFFECT}},
[21337] = 99921336, -- Doomcaller's Circlet
[21338] = 99921336, -- Doomcaller's Footwraps
[21335] = 99921336, -- Doomcaller's Mantle
[21334] = 99921336, -- Doomcaller's Robes
[21336] = 99921336, -- Doomcaller's Trousers

-- 76 Nemesis Raiment
[99916932] = {[2] = {20, INTELLECT},
              [5] = {-21922, EFFECT},
              [8] = {-23555, EFFECT}},
[16933] = 99916932, -- Nemesis Belt
[16927] = 99916932, -- Nemesis Boots
[16934] = 99916932, -- Nemesis Bracers
[16928] = 99916932, -- Nemesis Gloves
[16930] = 99916932, -- Nemesis Leggings
[16931] = 99916932, -- Nemesis Robes
[16929] = 99916932, -- Nemesis Skullcap
[16932] = 99916932, -- Nemesis Spaulders

-- 71-74 Field Marshal's Threads
[99917578] = {[2] = {20, STAMINA},
              [3] = {-23047, EFFECT},
              [6] = {20, INTELLECT}},
[17581] = 99917578, -- Field Marshal's Dreadweave Robe
[17580] = 99917578, -- Field Marshal's Dreadweave Shoulders
[17583] = 99917578, -- Marshal's Dreadweave Boots
[17584] = 99917578, -- Marshal's Dreadweave Gloves
[17579] = 99917578, -- Marshal's Dreadweave Leggings
[17578] = 99917578, -- Field Marshal's Coronal

-- 71-74 Warlord's Threads
[99917592] = {[2] = {20, STAMINA},
              [3] = {-23047, EFFECT},
              [6] = {20, INTELLECT}},
[17586] = 99917592, -- General's Dreadweave Boots
[17588] = 99917592, -- General's Dreadweave Gloves
[17593] = 99917592, -- General's Dreadweave Pants
[17591] = 99917592, -- Warlord's Dreadweave Hood
[17590] = 99917592, -- Warlord's Dreadweave Mantle
[17592] = 99917592, -- Warlord's Dreadweave Robe

-- 66-71 Champion's Dreadgear
[99922884] = {[2] = {20, INTELLECT},
              [4] = {-23047, EFFECT},
              [6] = {20, STAMINA}},
[22865] = 99922884, -- Blood Guard's Dreadweave Handwraps
[22855] = 99922884, -- Blood Guard's Dreadweave Walkers
[23255] = 99922884, -- Champion's Dreadweave Cowl
[23256] = 99922884, -- Champion's Dreadweave Spaulders
[22881] = 99922884, -- Legionnaire's Dreadweave Legguards
[22884] = 99922884, -- Legionnaire's Dreadweave Tunic

-- 66-71 Lieutenant Commander's Dreadgear
[99923311] = {[2] = {20, INTELLECT},
              [4] = {-23047, EFFECT},
              [6] = {20, STAMINA}},
[23296] = 99923311, -- Knight-Captain's Dreadweave Legguards
[23297] = 99923311, -- Knight-Captain's Dreadweave Tunic
[23282] = 99923311, -- Knight-Lieutenant's Dreadweave Handwraps
[23283] = 99923311, -- Knight-Lieutenant's Dreadweave Walkers
[23310] = 99923311, -- Lieutenant Commander's Dreadweave Cowl
[23311] = 99923311, -- Lieutenant Commander's Dreadweave Spaulders

-- 65-70 Implements of Unspoken Names
[99921418] = {[3] = {-26118, EFFECT}},
[21416] = 99921418, -- Kris of Unspoken Names
[21417] = 99921418, -- Ring of Unspoken Names
[21418] = 99921418, -- Shroud of Unspoken Names

-- 66 Felheart Raiment
[99916803] = {[2] = {-23554, EFFECT},
              [5] = {-21741, EFFECT},
              [8] = {-23553, EFFECT}},
[16806] = 99916803, -- Felheart Belt
[16804] = 99916803, -- Felheart Bracers
[16805] = 99916803, -- Felheart Gloves
[16810] = 99916803, -- Felheart Pants
[16809] = 99916803, -- Felheart Robes
[16807] = 99916803, -- Felheart Shoulder Pads
[16808] = 99916803, -- Felheart Horns
[16803] = 99916803, -- Felheart Slippers

-- 63-65 The Defiler's Intent
[99920163] = {[2] = {5, STAMINA},
              [3] = {14, CRIT}},
[20176] = 99920163, -- Defiler's Epaulets
[20159] = 99920163, -- Defiler's Cloth Boots
[20163] = 99920163, -- Defiler's Cloth Girdle

-- 63-65 The Highlander's Intent
[99920061] = {[2] = {5, STAMINA},
              [3] = {14, CRIT}},
[20054] = 99920061, -- Highlander's Cloth Boots
[20047] = 99920061, -- Highlander's Cloth Girdle
[20061] = 99920061, -- Highlander's Epaulets

-- 61-65 Demoniac's Threads
[99920033] = {[2] = {10, INTELLECT},
              [3] = {-24486, EFFECT},
              [5] = {-24487, EFFECT}},
[19605] = 99920033, -- Kezan's Unstoppable Taint
[19957] = 99920033, -- Hazza'rah's Charm of Destruction
[19848] = 99920033, -- Zandalar Demoniac's Wraps
[19849] = 99920033, -- Zandalar Demoniac's Mantle
[20033] = 99920033, -- Zandalar Demoniac's Robe

-- 63 Champion's Threads
[99917573] = {[2] = {20, INTELLECT},
              [4] = {-23047, EFFECT},
              [8] = {15, STAMINA}},
[17576] = 99917573, -- Blood Guard's Dreadweave Boots
[17577] = 99917573, -- Blood Guard's Dreadweave Gloves
[17572] = 99917573, -- Legionnaire's Dreadweave Robe
[17571] = 99917573, -- Legionnaire's Dreadweave Leggings
[17570] = 99917573, -- Champion's Dreadweave Hood
[17573] = 99917573, -- Champion's Dreadweave Shoulders
                  
-- 63 Lieutenant Commander's Threads
[99917566] = {[2] = {20, INTELLECT},
              [4] = {-23047, EFFECT},
              [8] = {15, STAMINA}},
[17562] = 99917566, -- Knight-Lieutenant's Dreadweave Boots
[17564] = 99917566, -- Knight-Lieutenant's Dreadweave Gloves
[17568] = 99917566, -- Knight-Captain's Dreadweave Robe
[17567] = 99917566, -- Knight-Captain's Dreadweave Leggings
[17569] = 99917566, -- Lieutenant Commander's Dreadweave Mantle
[17566] = 99917566, -- Lieutenant Commander's Headguard

-- 60-63 Ironweave Battlesuit
[99922301] = {[4] = {-27733, EFFECT},
              [8] = {200, ARMOR}},
[22306] = 99922301, -- Ironweave Belt
[22311] = 99922301, -- Ironweave Boots
[22313] = 99922301, -- Ironweave Bracers
[22302] = 99922301, -- Ironweave Cowl
[22304] = 99922301, -- Ironweave Gloves
[22305] = 99922301, -- Ironweave Mantle
[22303] = 99922301, -- Ironweave Pants
[22301] = 99922301, -- Ironweave Robe
-- ------------------------------------------------------------------------------------------------------------------ --
-- WARRIOR                                                                                                    WARRIOR --
-- ------------------------------------------------------------------------------------------------------------------ --
-- 372 PvE Earthen Warplate (Heroic)
-- 359 PvE Earthen Warplate
[99960323] = {[2] = {-90293, EFFECT},
              [4] = {-90295, EFFECT}},
[65268] = 99960323, -- Earthen Pauldrons (Heroic)
[65267] = 99960323, -- Earthen Legplates (Heroic)
[65266] = 99960323, -- Earthen Helmet (Heroic)
[65265] = 99960323, -- Earthen Gauntlets (Heroic)
[65264] = 99960323, -- Earthen Battleplate (Heroic)
[60327] = 99960323, -- Earthen Pauldrons
[60324] = 99960323, -- Earthen Legplates
[60325] = 99960323, -- Earthen Helmet
[60326] = 99960323, -- Earthen Gauntlets
[60323] = 99960323, -- Earthen Battleplate
-- 372 PvE Earthen Battleplate (Heroic)
-- 359 PvE Earthen Battleplate
[99960329] = {[2] = {-90296, EFFECT},
              [4] = {-90297, EFFECT}},
[65273] = 99960329, -- Earthen Shoulderguards (Heroic)
[65272] = 99960329, -- Earthen Legguards (Heroic)
[65271] = 99960329, -- Earthen Faceguard (Heroic)
[65270] = 99960329, -- Earthen Handguards (Heroic)
[65269] = 99960329, -- Earthen Chestguard (Heroic)
[60331] = 99960329, -- Earthen Shoulderguards
[60330] = 99960329, -- Earthen Legguards
[60328] = 99960329, -- Earthen Faceguard
[60332] = 99960329, -- Earthen Handguards
[60329] = 99960329, -- Earthen Chestguard

-- 365 PvP Vicious Gladiator's Battlegear
-- 352 PvP Bloodthirsty Gladiator's Battlegear
[99964815] = {[2] = {400, RESILIENCE, 70, STRENGTH},
              [4] = {90, STRENGTH, -22738, EFFECT}},
[65584] = 99964815, -- Vicious Gladiator's Plate Chestpiece --
[65583] = 99964815, -- Vicious Gladiator's Plate Gauntlets --
[65582] = 99964815, -- Vicious Gladiator's Plate Helm --
[65581] = 99964815, -- Vicious Gladiator's Plate Legguards --
[65580] = 99964815, -- Vicious Gladiator's Plate Shoulders --
[60418] = 99964815, -- Vicious Gladiator's Plate Chestpiece
[60419] = 99964815, -- Vicious Gladiator's Plate Gauntlets
[60420] = 99964815, -- Vicious Gladiator's Plate Helm
[60421] = 99964815, -- Vicious Gladiator's Plate Legguards
[60422] = 99964815, -- Vicious Gladiator's Plate Shoulders
[64811] = 99964815, -- Bloodthirsty Gladiator's Plate Chestpiece
[64812] = 99964815, -- Bloodthirsty Gladiator's Plate Gauntlets
[64813] = 99964815, -- Bloodthirsty Gladiator's Plate Helm
[64814] = 99964815, -- Bloodthirsty Gladiator's Plate Legguards
[64815] = 99964815, -- Bloodthirsty Gladiator's Plate Shoulders
-- older Sets TODO ...
}


function CharScanner_GearStats_Set(HeadSlot, NeckSlot, ShoulderSlot, BackSlot, ChestSlot, WristSlot, HandsSlot, WaistSlot, LegsSlot, FeetSlot, Finger0Slot, Finger1Slot, Trinket0Slot, Trinket1Slot, MainHandSlot, SecondaryHandSlot, RangedSlot)
	--  1 HeadSlot
	--  2 NeckSlot
	--  3 ShoulderSlot
	--  4 BackSlot
	--  5 ChestSlot
	--  6 WristSlot
	--  7 HandsSlot
	--  8 WaistSlot
	--  9 LegsSlot
	-- 10 FeetSlot
	-- 11 Finger0Slot
	-- 12 Finger1Slot
	-- 13 Trinket0Slot
	-- 14 Trinket1Slot
	-- 15 MainHandSlot
	-- 16 SecondaryHandSlot
	-- 17 RangedSlot

	local HeadSlotIs, NeckSlotIs, ShoulderSlotIs, BackSlotIs, ChestSlotIs, WristSlotIs, HandsSlotIs, WaistSlotIs, LegsSlotIs,
	      FeetSlotIs, Finger0SlotIs, Finger1SlotIs, Trinket0SlotIs, Trinket1SlotIs, MainHandSlotIs, SecondaryHandSlotIs, RangedSlotIs

	-- maximum number of different Sets = 9 (17/2)  ;)
	local s01idx, s02idx, s03idx, s04idx, s05idx, s06idx, s07idx, s08idx, s09idx
	local s01num, s02num, s03num, s04num, s05num, s06num, s07num, s08num, s09num =
	      0,      0,      0,      0,      0,      0,      0,      0,      0

	if HeadSlot then
		if setIDs[HeadSlot] then
			HeadSlotIs = true
			s01idx = setIDs[HeadSlot]
			s01num = s01num + 1
		end
	end
	if NeckSlot then
		if setIDs[NeckSlot] then
			NeckSlotIs = true
			if s01idx then
				if setIDs[NeckSlot] == s01idx then
					s01num = s01num + 1
				else
					s02idx = setIDs[NeckSlot]
					s02num = s02num + 1
				end
			else
				s01idx = setIDs[NeckSlot]
				s01num = s01num + 1
			end
		end
	end
	if ShoulderSlot then
		if setIDs[ShoulderSlot] then
			ShoulderSlotIs = true
			if s01idx then
				if setIDs[ShoulderSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[ShoulderSlot] == s02idx then
							s02num = s02num + 1
						else
							s03idx = setIDs[ShoulderSlot]
							s03num = s03num + 1
						end
					else
						s02idx = setIDs[ShoulderSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[ShoulderSlot]
				s01num = s01num + 1
			end
		end
	end
	if BackSlot then
		if setIDs[BackSlot] then
			BackSlotIs = true
			if s01idx then
				if setIDs[BackSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[BackSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[BackSlot] == s03idx then
									s03num = s03num + 1
								else
									s04idx = setIDs[BackSlot]
									s04num = s04num + 1
								end
							else
								s03idx = setIDs[BackSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[BackSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[BackSlot]
				s01num = s01num + 1
			end
		end
	end
	if ChestSlot then
		if setIDs[ChestSlot] then
			ChestSlotIs = true
			if s01idx then
				if setIDs[ChestSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[ChestSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[ChestSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[ChestSlot] == s04idx then
											s04num = s04num + 1
										else
											s05idx = setIDs[ChestSlot]
											s05num = s05num + 1
										end
									else
										s04idx = setIDs[ChestSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[ChestSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[ChestSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[ChestSlot]
				s01num = s01num + 1
			end
		end
	end
	if WristSlot then
		if setIDs[WristSlot] then
			WristSlotIs = true
			if s01idx then
				if setIDs[WristSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[WristSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[WristSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[WristSlot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[WristSlot] == s05idx then
													s05num = s05num + 1
												else
													s06idx = setIDs[WristSlot]
													s06num = s06num + 1
												end
											else
												s05idx = setIDs[WristSlot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[WristSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[WristSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[WristSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[WristSlot]
				s01num = s01num + 1
			end
		end
	end
	if HandsSlot then
		if setIDs[HandsSlot] then
			HandsSlotIs = true
			if s01idx then
				if setIDs[HandsSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[HandsSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[HandsSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[HandsSlot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[HandsSlot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[HandsSlot] == s06idx then
															s06num = s06num + 1
														else
															s07idx = setIDs[HandsSlot]
															s07num = s07num + 1
														end
													else
														s06idx = setIDs[HandsSlot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[HandsSlot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[HandsSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[HandsSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[HandsSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[HandsSlot]
				s01num = s01num + 1
			end
		end
	end
	if WaistSlot then
		if setIDs[WaistSlot] then
			WaistSlotIs = true
			if s01idx then
				if setIDs[WaistSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[WaistSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[WaistSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[WaistSlot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[WaistSlot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[WaistSlot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[WaistSlot] == s07idx then
																	s07num = s07num + 1
																else
																	s08idx = setIDs[WaistSlot]
																	s08num = s08num + 1
																end
															else
																s07idx = setIDs[WaistSlot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[WaistSlot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[WaistSlot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[WaistSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[WaistSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[WaistSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[WaistSlot]
				s01num = s01num + 1
			end
		end
	end
	if LegsSlot then
		if setIDs[LegsSlot] then
			LegsSlotIs = true
			if s01idx then
				if setIDs[LegsSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[LegsSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[LegsSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[LegsSlot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[LegsSlot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[LegsSlot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[LegsSlot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[LegsSlot] == s08idx then
																			s08num = s08num + 1
																		else
																			s09idx = setIDs[LegsSlot]
																			s09num = s09num + 1
																		end
																	else
																		s08idx = setIDs[LegsSlot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[LegsSlot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[LegsSlot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[LegsSlot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[LegsSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[LegsSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[LegsSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[LegsSlot]
				s01num = s01num + 1
			end
		end
	end
	if FeetSlot then
		if setIDs[FeetSlot] then
			FeetSlotIs = true
			if s01idx then
				if setIDs[FeetSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[FeetSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[FeetSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[FeetSlot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[FeetSlot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[FeetSlot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[FeetSlot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[FeetSlot] == s08idx then
																			s08num = s08num + 1
																		else
																			if s09idx then
																				if setIDs[FeetSlot] == s09idx then
																					s09num = s09num + 1
																				end
																				-- maximum number of different Sets = 9 (17/2)
																			else
																				s09idx = setIDs[FeetSlot]
																				s09num = s09num + 1
																			end
																		end
																	else
																		s08idx = setIDs[FeetSlot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[FeetSlot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[FeetSlot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[FeetSlot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[FeetSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[FeetSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[FeetSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[FeetSlot]
				s01num = s01num + 1
			end
		end
	end
	if Finger0Slot then
		if setIDs[Finger0Slot] then
			Finger0SlotIs = true
			if s01idx then
				if setIDs[Finger0Slot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[Finger0Slot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[Finger0Slot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[Finger0Slot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[Finger0Slot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[Finger0Slot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[Finger0Slot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[Finger0Slot] == s08idx then
																			s08num = s08num + 1
																		else
																			if s09idx then
																				if setIDs[Finger0Slot] == s09idx then
																					s09num = s09num + 1
																				end
																				-- maximum number of different Sets = 9 (17/2)
																			else
																				s09idx = setIDs[Finger0Slot]
																				s09num = s09num + 1
																			end
																		end
																	else
																		s08idx = setIDs[Finger0Slot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[Finger0Slot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[Finger0Slot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[Finger0Slot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[Finger0Slot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[Finger0Slot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[Finger0Slot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[Finger0Slot]
				s01num = s01num + 1
			end
		end
	end
	if Finger1Slot then
		if setIDs[Finger1Slot] then
			Finger1SlotIs = true
			if s01idx then
				if setIDs[Finger1Slot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[Finger1Slot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[Finger1Slot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[Finger1Slot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[Finger1Slot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[Finger1Slot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[Finger1Slot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[Finger1Slot] == s08idx then
																			s08num = s08num + 1
																		else
																			if s09idx then
																				if setIDs[Finger1Slot] == s09idx then
																					s09num = s09num + 1
																				end
																				-- maximum number of different Sets = 9 (17/2)
																			else
																				s09idx = setIDs[Finger1Slot]
																				s09num = s09num + 1
																			end
																		end
																	else
																		s08idx = setIDs[Finger1Slot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[Finger1Slot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[Finger1Slot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[Finger1Slot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[Finger1Slot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[Finger1Slot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[Finger1Slot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[Finger1Slot]
				s01num = s01num + 1
			end
		end
	end
	if Trinket0Slot then
		if setIDs[Trinket0Slot] then
			Trinket0SlotIs = true
			if s01idx then
				if setIDs[Trinket0Slot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[Trinket0Slot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[Trinket0Slot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[Trinket0Slot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[Trinket0Slot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[Trinket0Slot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[Trinket0Slot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[Trinket0Slot] == s08idx then
																			s08num = s08num + 1
																		else
																			if s09idx then
																				if setIDs[Trinket0Slot] == s09idx then
																					s09num = s09num + 1
																				end
																				-- maximum number of different Sets = 9 (17/2)
																			else
																				s09idx = setIDs[Trinket0Slot]
																				s09num = s09num + 1
																			end
																		end
																	else
																		s08idx = setIDs[Trinket0Slot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[Trinket0Slot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[Trinket0Slot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[Trinket0Slot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[Trinket0Slot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[Trinket0Slot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[Trinket0Slot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[Trinket0Slot]
				s01num = s01num + 1
			end
		end
	end
	if Trinket1Slot then
		if setIDs[Trinket1Slot] then
			Trinket1SlotIs = true
			if s01idx then
				if setIDs[Trinket1Slot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[Trinket1Slot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[Trinket1Slot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[Trinket1Slot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[Trinket1Slot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[Trinket1Slot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[Trinket1Slot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[Trinket1Slot] == s08idx then
																			s08num = s08num + 1
																		else
																			if s09idx then
																				if setIDs[Trinket1Slot] == s09idx then
																					s09num = s09num + 1
																				end
																				-- maximum number of different Sets = 9 (17/2)
																			else
																				s09idx = setIDs[Trinket1Slot]
																				s09num = s09num + 1
																			end
																		end
																	else
																		s08idx = setIDs[Trinket1Slot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[Trinket1Slot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[Trinket1Slot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[Trinket1Slot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[Trinket1Slot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[Trinket1Slot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[Trinket1Slot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[Trinket1Slot]
				s01num = s01num + 1
			end
		end
	end
	if MainHandSlot then
		if setIDs[MainHandSlot] then
			MainHandSlotIs = true
			if s01idx then
				if setIDs[MainHandSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[MainHandSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[MainHandSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[MainHandSlot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[MainHandSlot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[MainHandSlot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[MainHandSlot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[MainHandSlot] == s08idx then
																			s08num = s08num + 1
																		else
																			if s09idx then
																				if setIDs[MainHandSlot] == s09idx then
																					s09num = s09num + 1
																				end
																				-- maximum number of different Sets = 9 (17/2)
																			else
																				s09idx = setIDs[MainHandSlot]
																				s09num = s09num + 1
																			end
																		end
																	else
																		s08idx = setIDs[MainHandSlot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[MainHandSlot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[MainHandSlot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[MainHandSlot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[MainHandSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[MainHandSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[MainHandSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[MainHandSlot]
				s01num = s01num + 1
			end
		end
	end
	if SecondaryHandSlot then
		if setIDs[SecondaryHandSlot] then
			SecondaryHandSlotIs = true
			if s01idx then
				if setIDs[SecondaryHandSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[SecondaryHandSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[SecondaryHandSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[SecondaryHandSlot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[SecondaryHandSlot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[SecondaryHandSlot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[SecondaryHandSlot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[SecondaryHandSlot] == s08idx then
																			s08num = s08num + 1
																		else
																			if s09idx then
																				if setIDs[SecondaryHandSlot] == s09idx then
																					s09num = s09num + 1
																				end
																				-- maximum number of different Sets = 9 (17/2)
																			else
																				s09idx = setIDs[SecondaryHandSlot]
																				s09num = s09num + 1
																			end
																		end
																	else
																		s08idx = setIDs[SecondaryHandSlot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[SecondaryHandSlot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[SecondaryHandSlot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[SecondaryHandSlot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[SecondaryHandSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[SecondaryHandSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[SecondaryHandSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[SecondaryHandSlot]
				s01num = s01num + 1
			end
		end
	end
	if RangedSlot then
		if setIDs[RangedSlot] then
			RangedSlotIs = true
			if s01idx then
				if setIDs[RangedSlot] == s01idx then
					s01num = s01num + 1
				else
					if s02idx then
						if setIDs[RangedSlot] == s02idx then
							s02num = s02num + 1
						else
							if s03idx then
								if setIDs[RangedSlot] == s03idx then
									s03num = s03num + 1
								else
									if s04idx then
										if setIDs[RangedSlot] == s04idx then
											s04num = s04num + 1
										else
											if s05idx then
												if setIDs[RangedSlot] == s05idx then
													s05num = s05num + 1
												else
													if s06idx then
														if setIDs[RangedSlot] == s06idx then
															s06num = s06num + 1
														else
															if s07idx then
																if setIDs[RangedSlot] == s07idx then
																	s07num = s07num + 1
																else
																	if s08idx then
																		if setIDs[RangedSlot] == s08idx then
																			s08num = s08num + 1
																		else
																			if s09idx then
																				if setIDs[RangedSlot] == s09idx then
																					s09num = s09num + 1
																				end
																				-- maximum number of different Sets = 9 (17/2)
																			else
																				s09idx = setIDs[RangedSlot]
																				s09num = s09num + 1
																			end
																		end
																	else
																		s08idx = setIDs[RangedSlot]
																		s08num = s08num + 1
																	end
																end
															else
																s07idx = setIDs[RangedSlot]
																s07num = s07num + 1
															end
														end
													else
														s06idx = setIDs[RangedSlot]
														s06num = s06num + 1
													end
												end
											else
												s05idx = setIDs[RangedSlot]
												s05num = s05num + 1
											end
										end
									else
										s04idx = setIDs[RangedSlot]
										s04num = s04num + 1
									end
								end
							else
								s03idx = setIDs[RangedSlot]
								s03num = s03num + 1
							end
						end
					else
						s02idx = setIDs[RangedSlot]
						s02num = s02num + 1
					end
				end
			else
				s01idx = setIDs[RangedSlot]
				s01num = s01num + 1
			end
		end
	end

	local bonusStr = ""
	if s01idx then
		for numNeededItems, values in pairs(setIDs[s01idx]) do
			if s01num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end
	if s02idx then
		for numNeededItems, values in pairs(setIDs[s02idx]) do
			if s02num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end
	if s03idx then
		for numNeededItems, values in pairs(setIDs[s03idx]) do
			if s03num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end
	if s04idx then
		for numNeededItems, values in pairs(setIDs[s04idx]) do
			if s04num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end
	if s05idx then
		for numNeededItems, values in pairs(setIDs[s05idx]) do
			if s05num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end
	if s06idx then
		for numNeededItems, values in pairs(setIDs[s06idx]) do
			if s06num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end
	if s07idx then
		for numNeededItems, values in pairs(setIDs[s07idx]) do
			if s07num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end
	if s08idx then
		for numNeededItems, values in pairs(setIDs[s08idx]) do
			if s08num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end
	if s09idx then
		for numNeededItems, values in pairs(setIDs[s09idx]) do
			if s09num >= numNeededItems then
				for i = 1, #values do
					bonusStr = bonusStr..values[i]..", "
				end
			end
		end
	end


	bonusStr = string.sub(bonusStr, 0, (string.len(bonusStr)-2))
	return bonusStr, HeadSlotIs, NeckSlotIs, ShoulderSlotIs, BackSlotIs, ChestSlotIs, WristSlotIs, HandsSlotIs, WaistSlotIs, LegsSlotIs,
	                 FeetSlotIs, Finger0SlotIs, Finger1SlotIs, Trinket0SlotIs, Trinket1SlotIs, MainHandSlotIs, SecondaryHandSlotIs, RangedSlotIs
end